<?php
function pet_bazaar_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Frontpage
	=========================================*/
	$wp_customize->add_panel(
		'pet_bazaar_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'pet-bazaar' ),
		)
	);
	/*=========================================
	Blog Section
	=========================================*/
	$wp_customize->add_section(
		'blog_setting', array(
			'title' => esc_html__( 'Blog Section', 'pet-bazaar' ),
			'priority' => 10,
			'panel' => 'pet_bazaar_frontpage_sections',
		)
	);
	
	/*=========================================
	Setting
	=========================================*/
	// Setting
	$wp_customize->add_setting(
		'blog_setting_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'pet_bazaar_sanitize_text',
			'priority' => 4,
		)
	);

	$wp_customize->add_control(
	'blog_setting_head',
		array(
			'type' => 'hidden',
			'label' => __('Setting','pet-bazaar'),
			'section' => 'blog_setting',
		)
	);
	
	// Hide/Show
	$wp_customize->add_setting(
		'blog2_setting_hs'
			,array(
			'default'     	=> '1',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'pet_bazaar_sanitize_checkbox',
			'priority' => 4,
		)
	);

	$wp_customize->add_control(
	'blog2_setting_hs',
		array(
			'type' => 'checkbox',
			'label' => __('Hide/Show','pet-bazaar'),
			'section' => 'blog_setting',
		)
	);
	/*=========================================
	Header
	=========================================*/
	$wp_customize->add_setting(
		'blog2_header'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'pet_bazaar_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'blog2_header',
		array(
			'type' => 'hidden',
			'label' => __('Header','pet-bazaar'),
			'section' => 'blog_setting',
		)
	);
	
	//  Title // 
	$wp_customize->add_setting(
    	'blog2_ttl',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'pet_bazaar_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 2,
		)
	);	
	
	$wp_customize->add_control( 
		'blog2_ttl',
		array(
		    'label'   => __('Title','pet-bazaar'),
		    'section' => 'blog_setting',
			'type'           => 'text',
		)  
	);
	
	//  Subtitle // 
	$wp_customize->add_setting(
    	'blog2_subttl',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'pet_bazaar_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 2,
		)
	);	
	
	$wp_customize->add_control( 
		'blog2_subttl',
		array(
		    'label'   => __('Description','pet-bazaar'),
		    'section' => 'blog_setting',
			'type'           => 'text',
		)  
	);
	
	/*=========================================
	Content
	=========================================*/
	$wp_customize->add_setting(
		'blog2_content'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'pet_bazaar_sanitize_text',
			'priority' => 5,
		)
	);

	$wp_customize->add_control(
	'blog2_content',
		array(
			'type' => 'hidden',
			'label' => __('Content','pet-bazaar'),
			'section' => 'blog_setting',
		)
	);
	
	// No. of Products Display
	if ( class_exists( 'Ecommerce_Comp_Customizer_Range_Control' ) ) {
		$wp_customize->add_setting(
			'blog2_num',
			array(
				'default' => '3',
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'ecommerce_comp_sanitize_range_value',
				'priority' => 7,
			)
		);
		$wp_customize->add_control( 
		new Ecommerce_Comp_Customizer_Range_Control( $wp_customize, 'blog2_num', 
			array(
				'label'      => __( 'No of Blog Display', 'pet-bazaar' ),
				'section'  => 'blog_setting',
				 'media_query'   => false,
					'input_attr'    => array(
						'desktop' => array(
							'min'    => 1,
							'max'    => 500,
							'step'   => 1,
							'default_value' => 3,
						),
					),
			) ) 
		);
	}

}

add_action( 'customize_register', 'pet_bazaar_blog_setting' );

// selective refresh
function pet_bazaar_blog2_section_partials( $wp_customize ){
	
	// blog2_ttl
	$wp_customize->selective_refresh->add_partial( 'blog2_ttl', array(
		'selector'            => '.post-home2 .section-title',
		'settings'            => 'blog2_ttl',
		'render_callback'  => 'pet_bazaar_blog2_ttl_render_callback',
	) );
	
	}

add_action( 'customize_register', 'pet_bazaar_blog2_section_partials' );

// blog2_ttl
function pet_bazaar_blog2_ttl_render_callback() {
	return get_theme_mod( 'blog2_ttl' );
}